Subject: Re: bug#36499: 26.2.90; file-error spinner-1.7.3.el, Bad Request
From: Stefan Kangas <[email-masked]>
To: Brady Trainor <[email-masked]>
Cc: [email-masked], Lars Ingebrigtsen <[email-masked]>
Date: Thu, 1 Oct 2020 05:51:01 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Kangas <[email-masked]> writes:

> Brady Trainor <[email-masked]> writes:
>
>> On Fri, Jul 12 2019, Lars Ingebrigtsen wrote:
>>
>>> So is the problem really that you can't access one of the package
>>> repositories when running within Docker?
>>
>> Individually, Emacs seems able to access elpa.gnu and melpa. But
>> something about the transitive dependency seems to break. I've heard
>> speculation that this could be a race condition, but that's a bit over
>> my head.
>>
>> With (package-install 'spinner), it works.
>>
>> With (mapc 'package-install '(spinner lsp-java)), it works.
>>
>> With (package-install 'lsp-java), it installs some dependencies
>> successfully, then gives the failure at spinner that I shared.
>>
>> And yes, I've only been able to reproduce in Docker. One the one hand,
>> maybe this is a failure in how Docker is being set up. On the other
>> hand, maybe this is a pathological example of some imperfection in
>> Emacs.
>
> Can you reproduce this using Emacs 27.1?  The discussion in this thread
> seemed to indicate this was due to a bug which is fixed in that version.

More information was requested, but none was given within 4 weeks, so
I'm closing this bug.  If this is still an issue, please reply to this
email (use "Reply to all" in your email client) and we can reopen the
bug report.

Best regards,
Stefan Kangas